Subject: Re: linux-next: Tree for December 11

From: Ingo Molnar <[email-masked]>
Date: Tue, 16 Dec 2008 23:23:05 +0100

* Alexey Zaytsev <[email-masked]> wrote:

> On Wed, Dec 17, 2008 at 00:08, Ingo Molnar <[email-masked]> wrote:
> 
> >>
> >> The warning can also be reproduced in qemu, so it was easy to bisect.
> >>
> >> commit 7317d7b87edb41a9135e30be1ec3f7ef817c53dd
> >> Author: Nick Piggin <[email-masked]>
> >> Date:   Tue Sep 30 20:50:27 2008 +1000
> >>
> >>     sched: improve preempt debugging
> >>
> >>     This patch helped me out with a problem I recently had....
> >>
> >>     Basically, when the kernel lock is held, then preempt_count
> >> underflow does not
> >>     get detected until it is released which may be a long time (and arbitrarily,
> >>     eg at different points it may be rescheduled). If the bkl is released at
> >>     schedule, the resulting output is actually fairly cryptic...
> >>
> >>     With any other lock that elevates preempt_count, it is illegal to schedule
> >>     under it (which would get found pretty quickly). bkl allows scheduling with
> >>     preempt_count elevated, which makes underflows hard to debug.
> >>
> >>     Signed-off-by: Ingo Molnar <[email-masked]>
> >>
> >> I understand that not this particular commit is buggy, but at least
> >> I've got someone to add to the CC. ;)
> >>
> >> Also the author's e-mail looks suspicious.
> >
> > Suspicious in what way?
> 
> Does not appear in signed-off-by.

yes, because i applied and tested it through before Nick was comfortable 
with signing off on it.

	Ingo